As a user with a saved page and no internet access, the saved page is not loading
Closed, ResolvedPublic

Description

Steps to reproduce:

  1. load an article
  2. save the article
  3. go to saved pages
  4. go into airplane mode
  5. click the article from step 2
  6. article image loads, but actual article contents does not
Mhurd created this task.Aug 25 2015, 9:00 PM
Mhurd updated the task description. (Show Details)
Mhurd raised the priority of this task from to Needs Triage.
Mhurd moved this task to Needs Estimation on the Wikipedia-iOS-App-Backlog board.
Mhurd added a subscriber: Mhurd.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 25 2015, 9:00 PM
JMinor added a subscriber: JMinor.Sep 29 2015, 5:54 PM
This comment was removed by JMinor.
JMinor renamed this task from Ensure using app w/o internet connection still loads saved articles/images etc to As a user with a saved page and not internet, the saved page is not loading.Oct 21 2015, 11:55 PM
JMinor updated the task description. (Show Details)
JMinor triaged this task as High priority.
JMinor added a project: iOS-app-v5-alpha.
JMinor set Security to None.

@Mhurd experienced an app crash, and we both (iPhone 5C and iPhone 6S Plus) experienced loading failure with alpha builds (for me it was build 411).

JMinor renamed this task from As a user with a saved page and not internet, the saved page is not loading to As a user with a saved page and no internet access, the saved page is not loading.

Checked with 5.0.0.435 on iPad mini iOS 8.2 and iPhone 5 iOS 9.02 - the issue is still there.

There are couple of issues with the airplane mode

  • Home page is displayed as usual, but not reacting to clicking on Random and suggested articles
  • Saved (as Recent) pages load only their Image Galleries with the warning "The Internet connection appears to be offline."
  • clicking on ToC in the partially displayed article crashes the app

Checked with 5.0.0.465 on iPad mini iOS 8.2 and iPhone 5 iOS 9.02.

Home page is displayed as usual, but not reacting to clicking on Random and suggested articles

Offline issues are filed as T117619: [5.0.0.465] Explore page in offline mode has limited usage

Saved (as Recent) pages load only their Image Galleries with the warning "The Internet connection appears to be offline."

Not reproducible anymore.

clicking on ToC in the partially displayed article crashes the app

Fixed.

JMinor closed this task as Resolved.Nov 18 2015, 8:31 PM

Still got an epic's worth of offline issues, but this particular one is resolved.